#include"BitmapImageHeader.h"

void BitmapImageHeader::ReadFromFile(ifstream& fin)
{
	fin.read((char*)&sizeOfHeader,4);
	fin.read((char*)&width,4);
	fin.read((char*)&height ,4);
	fin.read((char*)&colorPlanes,2);
	fin.read((char*)&bitsPerPixel,2);
	fin.read((char*)&compressionMethod,4);
	fin.read((char*)&imageSize,4);
	fin.read((char*)& horizontalResolution,4);
	fin.read((char*)&verticalResolution ,4);
	fin.read((char*)&colorsInPalette ,4);
	fin.read((char*)&importantColors ,4);
}

void BitmapImageHeader::WriteToFile(ofstream& fout)
{
	fout.write((char*)&sizeOfHeader,4);
	fout.write((char*)&width,4);
	fout.write((char*)&height ,4);
	fout.write((char*)&colorPlanes,2);
	fout.write((char*)&bitsPerPixel,2);
	fout.write((char*)&compressionMethod,4);
	fout.write((char*)&imageSize,4);
	fout.write((char*)& horizontalResolution,4);
	fout.write((char*)&verticalResolution ,4);
	fout.write((char*)&colorsInPalette ,4);
	fout.write((char*)&importantColors ,4);
}

