#include"BitmapFileHeader.h"

void BitmapFileHeader::ReadFromFile(ifstream& fin)
{
	fin.read(identifier,2);
	identifier[2] = '\0';
	fin.read((char*)&fileSize,4);
	fin.read((char*)&reserved,4);
	fin.read((char*)&pixelStartingAddress,4);
}

void BitmapFileHeader::WriteToFile(ofstream& fout)
{
	fout.write(identifier,2);
	fout.write((char*)&fileSize,4);
	fout.write((char*)&reserved,4);
	fout.write((char*)&pixelStartingAddress,4);
}

void BitmapFileHeader::display()
{
	cout << identifier << endl;
	cout << fileSize << endl;
	cout << pixelStartingAddress << endl;
}
